Summary:	A powerful paging program
Name:		most
Version:	5.2.0
Release:	%mkrel 1
License:	GPLv2
Group:		File tools
URL:		https://www.jedsoft.org/releases/most/
Source:		https://www.jedsoft.org/releases/most/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(slang)
BuildRequires:	chrpath
Requires:	slang

%description
most is a paging program that displays the contents of a file on a
terminal one windowful at a time. A status line indicating the file name,
current line number, and percentage of the file already displayed is also
shown.

%prep
%setup -q

# do not strip binaries
sed -i 's|\$(INSTALL) -s|\$(INSTALL)|' src/Makefile.in

%build
%configure \
	--with-slanglib=%{_libdir} \
	--with-slanginc=%{_includedir}/slang
%__make

chrpath -d src/objs/most

%install
%make_install

%files
%license COPYRIGHT COPYING
%{_docdir}/%{name}/
%{_bindir}/most
%{_mandir}/man1/most.1*


%changelog
* Thu Aug 18 2022 pol4n <pol4n> 5.2.0-1.mga9
+ Revision: 1878540
- new version: 5.2.0

* Sat Mar 19 2022 umeabot <umeabot> 5.1.0-4.mga9
+ Revision: 1800289
- Mageia 9 Mass Rebuild

* Sun Jun 28 2020 joequant <joequant> 5.1.0-3.mga8
+ Revision: 1599948
- remove arm workaround

* Sat Feb 15 2020 umeabot <umeabot> 5.1.0-2.mga8
+ Revision: 1523561
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Mar 06 2019 daviddavid <daviddavid> 5.1.0-1.mga7
+ Revision: 1371897
- new version: 5.1.0
- new URL and Source URL

* Sun Sep 23 2018 umeabot <umeabot> 5.0.0a-14.mga7
+ Revision: 1299600
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 wally <wally> 5.0.0a-13.mga7
+ Revision: 1236130
- fix build on aarch64
+ kekepower <kekepower>
- Use __make

* Mon Feb 08 2016 umeabot <umeabot> 5.0.0a-12.mga6
+ Revision: 944149
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.0.0a-11.mga5
+ Revision: 749903
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.0a-10.mga5
+ Revision: 682602
- Mageia 5 Mass Rebuild

* Thu Jan 23 2014 spuhler <spuhler> 5.0.0a-9.mga4
+ Revision: 567532
- changed %%make to make to make it build

* Fri Oct 18 2013 umeabot <umeabot> 5.0.0a-8.mga4
+ Revision: 522370
- Mageia 4 Mass Rebuild

* Wed Feb 27 2013 fwang <fwang> 5.0.0a-7.mga3
+ Revision: 400440
- use configure2_5x

* Sat Jan 12 2013 umeabot <umeabot> 5.0.0a-6.mga3
+ Revision: 360286
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 28 2011 dmorgan <dmorgan> 5.0.0a-5.mga2
+ Revision: 135947
- Adapt to mageia Guidelines
+ kharec <kharec>
- imported package most


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 5.0.0a-5mdv2011.0
+ Revision: 612937
- the mass rebuild of 2010.1 packages

* Tue Feb 02 2010 Sandro Cazzaniga <kharec@mandriva.org> 5.0.0a-4mdv2010.1
+ Revision: 499788
- Fix summary
- Fix rpmlint warning

* Sat Dec 12 2009 Jérôme Brenier <incubusss@mandriva.org> 5.0.0a-3mdv2010.1
+ Revision: 477847
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Sep 05 2008 Lev Givon <lev@mandriva.org> 5.0.0a-1mdv2009.0
+ Revision: 281309
- Update to 5.0.0a.

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 4.10.2-5mdv2009.0
+ Revision: 252780
- rebuild

* Tue Feb 12 2008 Thierry Vignaud <tv@mandriva.org> 4.10.2-3mdv2008.1
+ Revision: 166023
- fix spacing at top of description
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jun 06 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 4.10.2-3mdv2008.0
+ Revision: 36103
- Rebuild with libslang2.
- Import most




* Thu Oct 20 2005 Lenny Cartier <lenny@mandriva.com> 4.10.2-2mdk
- 4.10.2

* Mon May 10 2004 Michael Scherer <misc@mandrake.org> 4.9.4-1mdk
- New release 4.9.4
- remove rpath

* Fri Jan  2 2004 Han Boetes <han@linux-mandrake.com> 4.9.2-3mdk
- rebuild

* Fri Dec 27 2002 Han Boetes <han@linux-mandrake.com> 4.9.2-2mdk
- rebuild because of new rpm macros and new glibc

* Wed Aug 21 2002 Han Boetes <han@linux-mandrake.com> 4.9.2-1mdk
- First spec for mandrake.
